Author: jfrederic.clere(a)jboss.com
Date: 2013-06-13 09:53:36 -0400 (Thu, 13 Jun 2013)
New Revision: 3113
Modified:
trunk/build/unix/util/applypatch.sh
Log:
lsb_release is no always installed :-(
Modified: trunk/build/unix/util/applypatch.sh
===================================================================
--- trunk/build/unix/util/applypatch.sh 2013-06-13 13:45:44 UTC (rev 3112)
+++ trunk/build/unix/util/applypatch.sh 2013-06-13 13:53:36 UTC (rev 3113)
@@ -46,8 +46,18 @@
filename=$basefilename.rhel.patch
else
if [ $BUILD_SYS = "linux2" ]; then
- dist=`lsb_release -i -s`
- ver=`lsb_release -r -s`
+ dist=""
+ ver=""
+ if [ -f /etc/redhat-release ]; then
+ dist=RedHatEnterpriseES
+ grep "release 4" /etc/redhat-release
+ if [ $? -eq 0 ]; then
+ ver=4
+ fi
+ fi
+ # lsb_release is not always installed :-(
+ #dist=`lsb_release -i -s`
+ #ver=`lsb_release -r -s`
if [ -f $xbap_build_top/../patch/$basefilename.$dist.$ver.patch ]; then
filename=$basefilename.$dist.$ver.patch
fi
Show replies by date